POST /locations/openingHours

This endpoint allows opening hours to be set for all channels within a given location. It is also possible to specify unique opening hours per channel(s) within a location. This endpoint can also support setting a combination of both location and channel specific opening hours within a single request (see examples on the right hand side).

application/json

Body

object object

Responses

  • 204 application/json

    No Content

  • 400 application/json

    Bad Request

POST /locations/openingHours
curl \
 --request POST 'https://api.staging.deliverect.com/locations/openingHours' \
 --header "Authorization: Bearer $ACCESS_TOKEN" \
 --header "Content-Type: application/json" \
 --data '{"locations":[{"id":"{locationId}","triggerUpdate":true,"openingHours":[{"dayOfWeek":1,"startTime":"10:00","endTime":"17:00"}],"channels":[{"id":"6200****fd1f","openingHours":[{"dayOfWeek":1,"startTime":"08:00","endTime":"20:00"}]}]}]}'
Request example
{
  "locations": [
    {
      "id": "{locationId}",
      "triggerUpdate": true,
      "openingHours": [
        {
          "dayOfWeek": 1,
          "startTime": "10:00",
          "endTime": "17:00"
        }
      ],
      "channels": [
        {
          "id": "6200****fd1f",
          "openingHours": [
            {
              "dayOfWeek": 1,
              "startTime": "08:00",
              "endTime": "20:00"
            }
          ]
        }
      ]
    }
  ]
}
Response examples (204)
{}
Response examples (400)
{}